import { StyleSheet } from 'react-native';
import Constants from 'expo-constants';

const Fonts = {
    Subtitle: 'PopupAdviceSemiBold',
    Button: 'PopupAdviceBold',
    Note: 'PopupAdviceRegular',
}

export const popupStyles = StyleSheet.create({

    overlay: {
        position: 'absolute',
        width: '100%',
        height: '100%',
        backgroundColor: '#000',
        opacity: 0.6
    },

    containerStyle: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        justifyContent: 'center',
        alignItems: 'center',
        zIndex: 1000,
        elevation: 10,
    },

    popupBox: {
        overflow: "hidden",
        backgroundColor: '#fff',
        justifyContent: 'center',
        height: 'auto',
        maxHeight: '90%',
        width: '90%',
        marginTop: Constants.statusBarHeight + 10,
        marginBottom: 10,
        overflow: 'visible',
        borderRadius: 5
    },


    popupScrollContainer: {
        paddingLeft: 20,
        paddingRight: 20,
        paddingBottom: 20,
        paddingTop: 20
    },

    popupCloseButton: {
        backgroundColor: '#000',
        zIndex: 9999,
        position: 'absolute',
        top: -15,
        right: -15,
        width: 29,
        height: 29,
        borderRadius: 360,
        alignItems: 'center',
        justifyContent: 'center'
    },

    popupCloseIcon: {
        color: '#fff',
        textAlign: 'right',
        fontSize: 22
    },

    popupCloseIconLeft: {
        textAlign: 'left'
    },

    popupTitle: {
        marginBottom: 10,
        fontFamily: Fonts.Subtitle,
        fontSize: 19,
        color: '#00afca',
        textAlign: 'center',
        lineHeight: 24
    },

    okBtnBox: {
        backgroundColor: '#00afca',
        bottom: 0,
        zIndex: 80,
        left: 0,
        borderRadius: 5,
        paddingTop: 8,
        paddingBottom: 8,
        paddingLeft: 12,
        paddingRight: 12,
        marginTop: 20,
        width: '100%',
        alignItems: 'center',
        justifyContent: 'center'
    },

    okBtnText: {
        fontSize: 15,
        fontFamily: Fonts.Button,
        color: 'white',
    },

    greyText: {
        color: '#858585'
    },

    alignCenter: {
        alignItems: 'center'
    },

    okBtnBox: {
        bottom: 0,
        zIndex: 80,
        left: 0,
        borderRadius: 360,
        paddingTop: 8,
        paddingBottom: 8,
        paddingLeft: 20,
        paddingRight: 20,
        marginTop: 20,
        width: '100%',
        alignItems: 'center',
        justifyContent: 'center'
    },

    okBtn: {
        padding: 4,
        display: 'flex',
        borderRadius: 360,
        backgroundColor: '#0e8fcf',
        width: '100%',
        alignItems: 'center',
        marginTop: 20
    },

    okBtnText: {
        fontFamily: Fonts.Button,
        fontSize: 16,
        marginTop: 3,
        color: '#fff'
    },

    scrollStyle: {
        width: '100%',
        borderRadius: 5,
        backgroundColor: '#fff'
    }
});

export default popupStyles